<?php

namespace Lean;

use Picea\Extension\LanguageHandlerInterface;
use Tell;

class LanguageHandler implements LanguageHandlerInterface {

    public function __construct(
        public Tell\I18n $tell
    ) {}

    public function languageFromKey(string $key, array $variables = []) #: array|string
    {
        return $this->tell->fromKey($key, $variables) ?: "";
    }
}
