<?php

use function DI\autowire, DI\create, DI\get;

use Picea\{ Language\LanguageRegistration, };

use Picea\Extension\{ LanguageHandlerInterface, };

use Picea\Ui\{ Ui };

return [
    LanguageHandlerInterface::class => autowire(\Lean\LanguageHandler::class),
    LanguageRegistration::class => create(\Lean\PiceaDefaultRegistration::class)->constructor(get('picea.extensions'), [], [], get(Ui::class), null),
];